From d7a5c78d4492007e116384810f39d2f55ecb8355 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 18 Mar 2023 21:41:42 -0500
Subject: [PATCH 3/4] WIP: v16 docs: Add enable_presorted_aggregate GUC

3226f47282a05979483475d1e4a11aab8c1bfc39
---
 doc/src/sgml/config.sgml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 20b8b5ae1de..68e344c7bf0 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -5440,15 +5440,15 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
       </term>
       <listitem>
        <para>
-        Controls if the query planner will produce a plan which will provide
-        rows which are presorted in the order required for the query's
+        Enables or disables the query planner's use of plans which presort
+        rows in the order required for the query's
         <literal>ORDER BY</literal> / <literal>DISTINCT</literal> aggregate
         functions.  When disabled, the query planner will produce a plan which
         will always require the executor to perform a sort before performing
         aggregation of each aggregate function containing an
         <literal>ORDER BY</literal> or <literal>DISTINCT</literal> clause.
         When enabled, the planner will try to produce a more efficient plan
-        which provides input to the aggregate functions which is presorted in
+        which provides input to the aggregate functions in
         the order they require for aggregation.  The default value is
         <literal>on</literal>.
        </para>
-- 
2.34.1

